Package org.eclipse.gef.layout.algorithms

# Class SugiyamaLayoutAlgorithm.SimpleLayerProvider

java.lang.Object
org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.SimpleLayerProvider

All Implemented Interfaces:
  `SugiyamaLayoutAlgorithm.LayerProvider`

Enclosing class:
  SugiyamaLayoutAlgorithm

public static class SugiyamaLayoutAlgorithm.SimpleLayerProvider extends Object implements SugiyamaLayoutAlgorithm.LayerProvider

## Constructor Summary

Constructors
Constructor
Description
`SimpleLayerProvider()`

## Method Summary

Modifier and Type
Method
Description
`List<List<SugiyamaLayoutAlgorithm.NodeWrapper>>`
`calculateLayers(List<org.eclipse.gef.graph.Node> nodes)`
Creating layers of the nodes and makes it possible to assign layers to those nodes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleLayerProvider

public SimpleLayerProvider()

## Method Details

### calculateLayers

public List<List<SugiyamaLayoutAlgorithm.NodeWrapper>> calculateLayers(List<org.eclipse.gef.graph.Node> nodes)
Description copied from interface: `SugiyamaLayoutAlgorithm.LayerProvider`
Creating layers of the nodes and makes it possible to assign layers to those nodes.

Specified by:
  `calculateLayers` in interface `SugiyamaLayoutAlgorithm.LayerProvider`
Parameters:
  `nodes` - List of all the nodes that needs to be organized
Returns:
  a list of layers for the given nodes, represented each as a list of `SugiyamaLayoutAlgorithm.NodeWrapper`s